Bug 1023501 - Querying: documenting use of Fieldbridge and Classbridges in embedded querying
Querying: documenting use of Fieldbridge and Classbridges in embedded querying
Status: CLOSED NOTABUG
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 6.2.0
Assigned To: gsheldon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 10:41 EDT by Divya Mehra
Modified: 2013-11-25 02:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 02:07:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Divya Mehra 2013-10-25 10:41:16 EDT
Description of problem:
Use case: 
In Embedded Querying, the application developer does not want to be tied to Java objects to be able to index for Querying. 

Per discussion between Matt Depue, Mircea, and me for Tesco, there us ClassBridge and FieldBridge in Hibernate Search provides, which enable above use case (remove dependency on Java).

It would be helpful to document this via an example in the Infinispan Query Guide.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Misha H. Ali 2013-10-29 21:48:54 EDT
Discussed and scoped for JDG 6.2 GA.

Assigning to Gemma and setting a need info for mircea.

Mircea, can you link us to an example or some details about how to do this?
Comment 3 Emmanuel Bernard 2013-11-18 11:14:51 EST
Can the person originally requesting this provide some detail.
By definition the embedded mode does use Java objects.

Or are you guys talking about the ability to store foreign formats like JSON but interpret them as a set of properties that can be indexed?
Comment 4 Misha H. Ali 2013-11-19 18:08:44 EST
Adding a need info for divya for the information emmanuel needs in comment #3. this bug is a late inclusion for 6.2 and can only be worked on if we have the information required.
Comment 5 Divya Mehra 2013-11-19 18:19:49 EST
Looks this topic is already covered in current draft of IQ guide (section 7.7).
Comment 6 gsheldon 2013-11-19 18:32:20 EST
Divya,

Just to confirm that the information in Section 7.7 is sufficient for this bug?

If you think it needs more information we can provide it, assuming we are given the information by an SME in time.

Thanks

Gemma.
Comment 7 gsheldon 2013-11-25 02:07:52 EST
Closing this as NOTABUG as content already appears in the Infinispan Query guide. Please reopen if more content for these features is required.

Note You need to log in before you can comment on or make changes to this bug.